Show / Hide Table of Contents

# UniTaskCancelableAsyncEnumerable<T>.Enumerator Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct Enumerator

### Members

#### Properties

Name | Description
--- | ---
Current |

#### Methods

Name | Description
--- | ---
DisposeAsync() |
MoveNextAsync() |

### Properties

#### Current

    public T Current { get; }

##### Property Value

T

### Methods

#### DisposeAsync()

    public UniTask DisposeAsync()

##### Returns

UniTask

#### MoveNextAsync()

    public UniTask<bool> MoveNextAsync()

##### Returns

UniTask<System.Boolean>